import { VuetifyTiptap, VuetifyViewer, createVuetifyProTipTap } from 'vuetify-pro-tiptap'
import 'vuetify-pro-tiptap/style.css'

export default defineNuxtPlugin((nuxtApp) => {
  nuxtApp.vueApp.use(createVuetifyProTipTap({
    lang: 'en',
    theme: 'light'
  }))
  
  nuxtApp.vueApp.component('VuetifyTiptap', VuetifyTiptap)
  nuxtApp.vueApp.component('VuetifyViewer', VuetifyViewer)
})
